package com.mortals.xhx.module.news.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.news.model.vo.NewsRecordVo;
import lombok.Data;
/**
* 新闻访问记录信息实体对象
*
* @author zxfei
* @date 2023-09-18
*/
@Data
public class NewsRecordEntity extends NewsRecordVo {
    private static final long serialVersionUID = 1L;

    /**
    * 新闻ID
    */
    private Long newsId;
    /**
    * 查看人名称
    */
    private String viewName;
    /**
    * 累计查看次数
    */
    private Integer sumViews;
    /**
    * 备注
    */
    private String remark;
    /**
    * 最后浏览时间
    */
    private Date viewTime;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof NewsRecordEntity) {
            NewsRecordEntity tmp = (NewsRecordEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.newsId = 0L;
            this.viewName = "";
            this.sumViews = 0;
            this.remark = "";
            this.viewTime = new Date();
    }
}